## com.trilead.ssh2.crypto
Class PEMDecoder

    java.lang.Object
      com.trilead.ssh2.crypto.PEMDecoder

    public class PEMDecoder

extends java.lang.Object

PEM Support.

Constructor Summary
`PEMDecoder()`

Method Summary
`static java.lang.Object` `decode(char[] pem, java.lang.String password)`
`static boolean` `isPEMEncrypted(PEMStructure ps)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PEMDecoder

    public PEMDecoder()

Method Detail

### isPEMEncrypted

    public static final boolean isPEMEncrypted(PEMStructure ps)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public static java.lang.Object decode(char[] pem,
                                          java.lang.String password)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`